aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/sway/bindsym-media4
-rwxr-xr-xinstall6
-rwxr-xr-xlocal/bin/allsync2
-rwxr-xr-xlocal/bin/cloud15
m---------private0
5 files changed, 20 insertions, 7 deletions
diff --git a/config/sway/bindsym-media b/config/sway/bindsym-media
index 13026fc..b1159ef 100644
--- a/config/sway/bindsym-media
+++ b/config/sway/bindsym-media
@@ -12,8 +12,8 @@ for_window [ title="Pulsemixer" ] move position center
# Screen brightness controls
-bindsym XF86MonBrightnessUp exec --no-startup-id light -A 10
-bindsym XF86MonBrightnessDown exec --no-startup-id light -U 10
+bindsym XF86MonBrightnessUp exec --no-startup-id brightnessctl set +10%
+bindsym XF86MonBrightnessDown exec --no-startup-id brightnessctl set 10%-
# Media player controls
bindsym XF86AudioPlay exec --no-startup-id mpc toggle && pkill -RTMIN+12 i3blocks
diff --git a/install b/install
index 7bc410f..abe157b 100755
--- a/install
+++ b/install
@@ -70,9 +70,9 @@ if ask "nvim" "Install NeoVIM scripts"; then
nvim --headless -c 'autocmd User PackerComplete quitall' -c 'PackerSync'
# cs spelling
mkdir -p ~/.local/share/nvim/site/spell
- curl "https://ftp.nluug.nl/pub/vim/runtime/spell/cs.utf-8.spl" \
+ curl -L "https://ftp.nluug.nl/pub/vim/runtime/spell/cs.utf-8.spl" \
>~/.local/share/nvim/site/spell/cs.utf-8.spl
- curl "https://ftp.nluug.nl/pub/vim/runtime/spell/cs.utf-8.sug" \
+ curl -L "https://ftp.nluug.nl/pub/vim/runtime/spell/cs.utf-8.sug" \
>~/.local/share/nvim/site/spell/cs.utf-8.sug
fi
@@ -97,7 +97,7 @@ if ask "sync" "Install synchronization"; then
inst private/mbsyncrc ~/.mbsyncrc
inst private/msmtprc ~/.msmtprc
- inst private/davmail.service ~/.davmail.service
+ inst private/davmail.properties ~/.davmail.properties
inst private/notmuch-config ~/.notmuch-config
inst private/notmuch-tag-new ~/.notmuch-tag-new
inst local/bin/email-unread ~/.local/bin/email-unread
diff --git a/local/bin/allsync b/local/bin/allsync
index 0dcccc5..70c9d29 100755
--- a/local/bin/allsync
+++ b/local/bin/allsync
@@ -23,7 +23,7 @@ cron_enable() {
} | crontab -
else
systemctl --user start allsync.timer
- systemctl --user start davmail.timer
+ systemctl --user start davmail.service
fi
notify_bar
}
diff --git a/local/bin/cloud b/local/bin/cloud
index db6e717..187db18 100755
--- a/local/bin/cloud
+++ b/local/bin/cloud
@@ -19,8 +19,21 @@ while getopts "u" opt; do
done
if [ "$umount" = "n" ]; then
+ url="https://cloud.cynerd.cz/remote.php/dav/files/cynerd"
+ conf="$(mktemp)"
+ secrets="$(mktemp)"
+ trap 'rm -f "$conf" "$secrets"' EXIT HUP INT QUIT SEGV PIPE TERM
+ cat >"$conf" <<-EOF
+ [$path]
+ secrets ${secrets}
+ use_locks 0
+ EOF
+ chmod 600 "$secrets"
+ echo "$url cynerd $(pass cynerd.cz/nextcloud/davfs)" >"$secrets"
+ sudo chown root "$secrets"
sudo mkdir -p "$path"
- sudo mount.davfs -o uid=1000,username=cynerd "https://cloud.cynerd.cz/remote.php/dav/files/cynerd" "$path"
+ sudo mount.davfs -o "conf=${conf}" -o uid=1000 "$url" "$path"
+ sudo rm -f "$secrets"
else
sudo umount "$path"
fi
diff --git a/private b/private
-Subproject b201be2e4f6ea5654fdc8cda97e2c461fece0c3
+Subproject 10d7c501c5a3c08670ba74098bfd81db3baf600